program SEASQUAD;

  uses
    GLOBALS, UTILS, ENGINES, ORGANISE, Dos, Crt, Graph;

  var
    theMenuItem: integer;

{_________________________________________________}

begin
  SetTheText;

  Writeln;
  Writeln('  SEASQUAD.PAS');
  Writeln;
  Writeln('  This program is for investigating the numerical problems that may arise in');
  Writeln('  the process of implementing the enhanced methods of seasonal adjustment in');
  Writeln('  the time domain that depend on the incorporation in the seasonal filter of');
  Writeln('  additional poles  and zeros that are adjacent to the poles and zero at the');
  Writeln('  fundamental  seasonal frequency and its harmonics. The seasonal adjustment');
  Writeln('  filters are compounded from their quadratic components');
  Writeln;
  Writeln(' ' : 68, '<RETURN>');
  Readln;

  graphicsOn := false;
  noSCREENBOX := true;
  SCREENBOX.XC := 0;
  SCREENBOX.YC := 0;
  allsDone := false;
  noPageParameters := true;
  noModel := true;

  repeat
    ClrScr;

    Writeln;
    Writeln;
    Writeln;
    Writeln('    SEASQUAD.PAS: Enhanced Seasonal Adjustment');
    Writeln;
    Writeln('         1. Get Page Parameters');
    Writeln;
    Writeln('         2. The Ordinary Seasonal-Adjustment Filter');
    Writeln;
    Writeln('         3. The Twopass Offset Filter');
    Writeln;
    Writeln('         4. The Triple Offset Filter');
    Writeln;
    Writeln('         5.  Save and Exit');
    Writeln;
    Writeln('                      Select a number and press RETURN');

    GetBoundedInteger(1, 5, theMenuItem);

    case theMenuItem of
      1: 
        PageSetUp(SCREENBOX, POSTBOX, PSPict, TeXFormat); {in UTILS}
      2: 
        OrdinaryFilter(phi, theta, dataVector, dataBOX, SCREENBOX); {in ENGINES}
      3: 
        TwoPassFilter(phi1, theta1, phi2, theta2, dataVector, dataBOX, SCREENBOX); {in ENGINES}
      4: 
        TripleFilter(phi, theta, phi1, theta1, phi2, theta2, dataVector, dataBOX, SCREENBOX);
      5: 
        allsDone := true;
    end;{case}

  until allsDone;

end. {main Unit of SEASQUAD.PAS}
{_________________________________________________}

{Compile the Units in the following Order:}

{1.GLOBALS}
{2. MATHS}
{3. UTILS}
{4. SCREEN}
{5. POST}
{6. ENGINES}
{7. ORGANISE}
{8. SEASQUAD}

